summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/sandy/README28
-rw-r--r--system/sandy/sandy.SlackBuild78
-rw-r--r--system/sandy/sandy.info10
-rw-r--r--system/sandy/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/system/sandy/README b/system/sandy/README
new file mode 100644
index 0000000000..8146b5e8ed
--- /dev/null
+++ b/system/sandy/README
@@ -0,0 +1,28 @@
+sandy (minimalist text editor)
+
+sandy is an ncurses text editor with an easy-to-read, hackable C
+source. Sandy tries to maximize screen estate, minimize the SLOC used
+and not get in your way too much. It can somehow be controlled using a
+named pipe that lives in /tmp and all preferences and keybindings are
+to be chosen at compile time.
+
+Features / Non-features
+
+- Unlimited undo
+- Regex search
+- Simple, almost modeless keybindings
+- Selection-based operation
+- Very simple commands read from a named pipe
+- Very basic, regex-based syntax colouring
+- Xterm-like mouse support
+- X11 integration is achieved through external tools such as xsel and dmenu
+- Lacks many text processing facilities that can be easily achieved by
+ piping text through an external command
+
+If you want to customize the compile-time config, place your config.h in
+the same directory as the SlackBuild script. To get the default config.h,
+extract it from the source tarball (it's called config.def.h there,
+just rename it).
+
+Optional dependencies: If xsel and/or dmenu are installed, sandy uses
+them at runtime for X11 integration.
diff --git a/system/sandy/sandy.SlackBuild b/system/sandy/sandy.SlackBuild
new file mode 100644
index 0000000000..d56750734c
--- /dev/null
+++ b/system/sandy/sandy.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for sandy
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Version number is the date of the last git commit after the 0.4 release.
+
+PRGNAM=sandy
+VERSION=${VERSION:-0.4_20111229}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# just in case...
+sed -i "s,\<lib\>,lib$LIBDIRSUFFIX,g" config.mk
+sed -i "s,-O0,$SLKCFLAGS," config.mk
+
+# use user's config.h if he's got one
+[ -e "$CWD/config.h" ] && cat "$CWD/config.h" > config.h
+
+make PREFIX=/usr MANPREFIX=/usr/man DESTDIR=$PKG install
+
+strip $PKG/usr/bin/$PRGNAM
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/sandy/sandy.info b/system/sandy/sandy.info
new file mode 100644
index 0000000000..5d5818b2dd
--- /dev/null
+++ b/system/sandy/sandy.info
@@ -0,0 +1,10 @@
+PRGNAM="sandy"
+VERSION="0.4_20111229"
+HOMEPAGE="http://urchlay.naptime.net/"
+DOWNLOAD="http://urchlay.naptime.net/~urchlay/src/sandy-0.4_20111229.tar.gz"
+MD5SUM="942c4d00c257e8725538e58973c2576e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/sandy/slack-desc b/system/sandy/slack-desc
new file mode 100644
index 0000000000..e881b9bb7b
--- /dev/null
+++ b/system/sandy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sandy: sandy (minimalist text editor)
+sandy:
+sandy: sandy is an ncurses text editor with an easy-to-read, hackable C
+sandy: source. Sandy tries to maximize screen estate, minimize the SLOC used
+sandy: and not get in your way too much. It can somehow be controlled using
+sandy: a named pipe that lives in /tmp and all preferences and keybindings
+sandy: are to be chosen at compile time.
+sandy:
+sandy:
+sandy:
+sandy: